%global pkgvers 3
%global scdate0 20210926
%global schash0 ba50883f12d33e1d834640640c84ddc9329bb68a
%global branch0 master
%global source0 https://github.com/litex-hub/pythondata-cpu-blackparrot.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           litex-pythondata-cpu-blackparrot
Version:        2022.08
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Non-Python files needed for the cpu blackparrot
License:        BSD
BuildArch:      noarch

URL:            https://github.com/litex-hub/pythondata-cpu-blackparrot

Patch0:         pythondata-cpu-blackparrot.patch

BuildRequires:  git python3-devel python3-setuptools

Requires:       %{name}-python3 = %{version}-%{release}

%global debug_package %{nil}
%global __strip /bin/true
%undefine _missing_build_ids_terminate_build
%define _binaries_in_noarch_packages_terminate_build 0

%description
Non-Python files needed for the cpu blackparrot packaged
into a Python module so they can be used with Python
libraries and tools.


%package        python3
Summary:        %{summary}
Requires:       litex-python3
Provides:       pythondata-cpu-blackparrot

%description    python3
Non-Python files needed for the cpu blackparrot packaged
into a Python module so they can be used with Python
libraries and tools.


%prep
%setup -T -c -n %{name}
find %{_builddir} -name SPECPARTS -exec rm -rf {} +
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller
%patch0 -p1


%build
%{py3_build}


%install
%{py3_install}
# python3
for f in `find %{buildroot} -name '*.py'`;
do
  sed -i -e 's|#!/usr/bin/python|#!/usr/bin/python3|' $f
done
sed -i 's|#!/nbu_async/luzh/install/bin/python|#!/usr/bin/python3|' \
  %{buildroot}/%{python3_sitelib}/pythondata_cpu_blackparrot/system_verilog/black-parrot/external/basejump_stl/bsg_tag/legacy/config_net/sim/generate_tb.py

%files python3
%doc README.md
%license LICENSE
%{python3_sitelib}/*


%changelog
* Thu Nov 18 2021 Cristian Balint <cristian.balint@gmail.com>
- initial release
